const { DataTypes } = require("sequelize");

module.exports = (sequelize) => {
  const TenderFile = sequelize.define(
    "tenderfile",
    {
      id: {
        type: DataTypes.INTEGER,
        autoIncrement: true,
        primaryKey: true,
      },
      creation: { type: DataTypes.DATE, allowNull: false },
      modified: { type: DataTypes.DATE, allowNull: false },
      modified_by: { type: DataTypes.INTEGER, allowNull: false },
      owner: { type: DataTypes.INTEGER, allowNull: false },
      enabled: { type: DataTypes.BOOLEAN, allowNull: false },

      filename: { type: DataTypes.STRING(255), allowNull: true},
      size: { type: DataTypes.INTEGER, allowNull: true},
      type: { type: DataTypes.STRING(50), allowNull: true},
      tender_id: { type: DataTypes.INTEGER, allowNull: false },
    },
    {
      tableName: "tenderfiles",
      freezeTableName: true,
    }
  );

  /**
   * Associates the Province model with other models.
   * @param {object} models - The models to associate with.
   */
  TenderFile.associate = (models) => {
    TenderFile.belongsTo(models.Tender, { foreignKey: "tender_id" });
  };

  return TenderFile;
};
